Pixxel

Get an orderItem

Get an orderitem by it's ID, it will also return the list of tasks associated with the ID.

GET/v0/order-items/{id}
Authorisations
AuthorizationString
Path Parameters
idstringrequired
OrderItem ID
Response
application/json
OK
areainteger
UTM based area of the current order in sq. km.Example: 1000
bandsetobject
bandset configuration for the current order
Show child attributes
base_amountnumber
base amount of the order item without any uplifts or discountsExample: 10000
cloud_coverinteger
maximum cloud cover percentage for the tasking orderExample: 0
cloud_deliveryobject
cloud delivery configuration for the automated delivery of the current order
Show child attributes
created_atstring
timestamp of the creation of the order itemExample: "2024-05-27T06:50:20.056549Z"
created_bystring
uuid of the user who created the order itemExample: "b64d2c37-89c3-404d-8395-dedb0fe9131c"
delivery_speedstring
delivery speed of the tasking orderExample: "STANDARD"
end_datestring
end date of your tasking order, the utc date will be considered as the end date.Example: "2020-10-28T00:00:00Z"
feasibility_statusstring
(only for tasking) feasibility status of the order showing the probability of the actual captureExample: "FAILED/WEAK_SUCCESS/SUCCESS"
final_amountnumber
final amount of the order item after applying uplifts and discountsExample: 12000
idstring
unique identifier of the order itemExample: "47435e2b-d8c4-41ff-9de9-2be3bfc92276"
image_typestring
image type for the tasking orderExample: "VNIR"
imagesobject[]
list of images associated with the order item
Show child attributes
last_feasibility_checkstring
(only for tasking) timestamp of the feasibility status. Feasibility status can change wrt time for the same order.Example: "2024-05-27T06:50:20.056549Z"
namestring
name of the order itemExample: "order item 1"
no_of_occurrencesinteger
number of occurrences of the recurring order.Example: 0
number_of_bandsinteger
number of bands in the tasking orderExample: 2
occurrencesobject[]
list of intervals of recurring orders.
Show child attributes
off_nadirinteger
maximum off nadir angle for the tasking orderExample: 0
order_idstring
UUID of the orderExample: "47435e2b-d8c4-41ff-9de9-2be3bfc92276"
org_idstring
UUID of the workspaceExample: "47435e2b-d8c4-41ff-9de9-2be3bfc92276"
payment_statusstring
payment status of the order itemExample: "PAID/PARTIAL-REFUND/REFUND/UNPAID/PARTIAL-MONTHLY"
project_idstring
UUID of the projectExample: "47435e2b-d8c4-41ff-9de9-2be3bfc92276"
recurrencestring
recurrence of the order item, (only for tasking and recurring orders)Example: "ONCE"
start_datestring
start date of your tasking order, the utc date will be considered as the start date.Example: "2020-10-22T00:00:00Z"
statusstring
status of the order itemExample: "DRAFT/ACTIVE/FULFILLED/CANCELLED/FAILED/PARTIALLY_FULFILLED"
tasksobject[]
list of tasks associated with the order item
Show child attributes
tokens_usedinteger
tokens used by the order item, populated only after paymentExample: 100
transaction_idstring
transaction id assorciated with the order itemExample: "47435e2b-d8c4-41ff-9de9-2be3bfc92276"
typestring
type of the order itemExample: "TASKING/ARCHIVE/RECURRING"
updated_atstring
timestamp of the last update of the order itemExample: "2024-05-27T06:50:20.056549Z"
updated_bystring
uuid of the user who last updated the order itemExample: "274a30f5-9ff2-4cc7-8680-7b2e076b9faf"
upliftsobject[]
list of uplifts/discounts applied to the order
Show child attributes
usecasestring
usecase for which this order was requestedExample: "agriculture"
user_idstring
UUID of the userExample: "47435e2b-d8c4-41ff-9de9-2be3bfc92276"
validation_errorsobject[]
list of validation errors for the order item
Get an orderItem
1curl -X GET 'https://api.pixxel.space/v0/order-items/{id}' \
2 -H 'Authorization: YOUR_API_KEY'
Response:
{
"area": 1000,
"bandset": null,
"base_amount": 10000,
"cloud_cover": 0,
"cloud_delivery": null,
"created_at": "2024-05-27T06:50:20.056549Z",
"created_by": "b64d2c37-89c3-404d-8395-dedb0fe9131c",
"delivery_speed": "STANDARD",
"end_date": "2020-10-28T00:00:00Z",
"feasibility_status": "FAILED/WEAK_SUCCESS/SUCCESS",
"final_amount": 12000,
"id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"image_type": "VNIR",
"images": [
{
"geometry": null,
"item_id": "string"
}
],
"last_feasibility_check": "2024-05-27T06:50:20.056549Z",
"name": "order item 1",
"no_of_occurrences": 0,
"number_of_bands": 2,
"occurrences": [
{
"end": "2020-01-01T00:00:00+00:00",
"start": "2020-01-01T00:00:00+00:00"
}
],
"off_nadir": 0,
"order_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"org_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"payment_status": "PAID/PARTIAL-REFUND/REFUND/UNPAID/PARTIAL-MONTHLY",
"project_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"recurrence": "ONCE",
"start_date": "2020-10-22T00:00:00Z",
"status": "DRAFT/ACTIVE/FULFILLED/CANCELLED/FAILED/PARTIALLY_FULFILLED",
"tasks": [
{
"created_at": "2024-05-27T06:50:20.056549Z",
"created_by": "e3ff4960-2d5a-4737-90dd-9cfb31bfa71e",
"delivery_status": "SUCCESSFUL",
"end_date": "25-05-2024",
"id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"number_of_strips": 4,
"order_item_id": "TD1_006800_20230528_L2A_20230615_03001067",
"start_date": "15-05-2024",
"status": "FULFILLED",
"tokens_used": 10,
"transaction_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"type": "ARCHIVE",
"updated_at": "2024-05-27T06:50:20.056549Z",
"updated_by": "77345b90-0677-4889-b4d8-2ddb93c0467f"
}
],
"tokens_used": 100,
"transaction_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"type": "TASKING/ARCHIVE/RECURRING",
"updated_at": "2024-05-27T06:50:20.056549Z",
"updated_by": "274a30f5-9ff2-4cc7-8680-7b2e076b9faf",
"uplifts": [
{
"amount": 0,
"item_id": "string",
"percentage": 0,
"subtitle": "string",
"title": "string"
}
],
"usecase": "agriculture",
"user_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"validation_errors": [
{}
]
}